using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TravelCompanyContracts.BindingModels.OperatorBindingModels;
using TravelCompanyContracts.SearchModels.OperatorSearchModels;
using TravelCompanyContracts.ViewModels.OperatorViewModels;

namespace TravelCompanyContracts.BusinessLogicsContracts.OperatorBusinessLogicsContracts
{
    public interface ITourLogic
    {
        List<TourViewModel>? ReadList(TourSearchModel? model);
        TourViewModel? ReadElement(TourSearchModel model);
        bool Create(TourBindingModel model);
        bool Delete(TourBindingModel model);
    }
}
